/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qquick3dabstractlight_p.h>
#include <private/qquick3dbakedlightmap_p.h>
#include <private/qquick3dcamera_p.h>
#include <private/qquick3dcubemaptexture_p.h>
#include <private/qquick3dcustomcamera_p.h>
#include <private/qquick3dcustommaterial_p.h>
#include <private/qquick3ddefaultmaterial_p.h>
#include <private/qquick3ddirectionallight_p.h>
#include <private/qquick3deffect_p.h>
#include <private/qquick3dfrustumcamera_p.h>
#include <private/qquick3dinstancing_p.h>
#include <private/qquick3djoint_p.h>
#include <private/qquick3dlightmapper_p.h>
#include <private/qquick3dloader_p.h>
#include <private/qquick3dmaterial_p.h>
#include <private/qquick3dmodel_p.h>
#include <private/qquick3dmorphtarget_p.h>
#include <private/qquick3dnode_p.h>
#include <private/qquick3dorthographiccamera_p.h>
#include <private/qquick3dperspectivecamera_p.h>
#include <private/qquick3dpointlight_p.h>
#include <private/qquick3dprincipledmaterial_p.h>
#include <private/qquick3dquaternionanimation_p.h>
#include <private/qquick3dquaternionutils_p.h>
#include <private/qquick3dreflectionprobe_p.h>
#include <private/qquick3drepeater_p.h>
#include <private/qquick3dresourceloader_p.h>
#include <private/qquick3dsceneenvironment_p.h>
#include <private/qquick3dshaderutils_p.h>
#include <private/qquick3dskeleton_p.h>
#include <private/qquick3dskin_p.h>
#include <private/qquick3dspecularglossymaterial_p.h>
#include <private/qquick3dspotlight_p.h>
#include <private/qquick3dtexture_p.h>
#include <private/qquick3dviewport_p.h>
#include <qquick3dgeometry.h>
#include <qquick3dinstancing.h>
#include <qquick3dobject.h>
#include <qquick3dtexturedata.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtQuick3D()
{
    qmlRegisterModule("QtQuick3D", 6, 0);
    qmlRegisterTypesAndRevisions<QQuick3DAbstractLight>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DBakedLightmap>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DCamera>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DCubeMapTexture>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DCustomCamera>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DCustomMaterial>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DDefaultMaterial>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DDirectionalLight>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DEffect>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DFileInstancing>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DFrustumCamera>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DGeometry>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DInstanceList>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DInstanceListEntry>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DInstancing>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DJoint>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DLightmapper>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DLoader>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DMaterial>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DModel>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DMorphTarget>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DNode>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DObject>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DOrthographicCamera>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DPerspectiveCamera>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DPointLight>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DPrincipledMaterial>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DQuaternionAnimation>("QtQuick3D", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickAbstractAnimation>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DQuaternionUtils>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DReflectionProbe>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DRepeater>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DResourceLoader>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DSceneEnvironment>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DShaderUtilsApplyValue>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DShaderUtilsBuffer>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DShaderUtilsBufferInput>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DShaderUtilsRenderCommand>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DShaderUtilsRenderPass>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DShaderUtilsShader>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DShaderUtilsTextureInput>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DSkeleton>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DSkin>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DSpecularGlossyMaterial>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DSpotLight>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DTexture>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DTextureData>("QtQuick3D", 6);
    qmlRegisterTypesAndRevisions<QQuick3DViewport>("QtQuick3D", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickItem>("QtQuick3D", 6);
    qmlRegisterModule("QtQuick3D", 6, 4);
}

static const QQmlModuleRegistration registration("QtQuick3D", qml_register_types_QtQuick3D);
